/**
 * WP Author Status - Admin JavaScript
 *
 * @package WP Author Status v2.0 - 30 January, 2025
 * @link https://www.realwebcare.com/
 */
jQuery(document).ready(function($) {
    //Initiate Color Picker
    $('.wp-color-picker-field').wpColorPicker();
    // Switches option sections
    $('.group').hide();
    var activetab = '';
    if (typeof(localStorage) != 'undefined' ) {
        activetab = localStorage.getItem("activetab");
    }
    //if url has section id as hash then set it as active or override the current local storage value
    if(window.location.hash){
        activetab = window.location.hash;
        if (typeof(localStorage) != 'undefined' ) {
            localStorage.setItem("activetab", activetab);
        }
    }
    if (activetab != '' && $(activetab).length ) {
        $(activetab).fadeIn();
    } else {
        $('.group:first').fadeIn();
    }
    $('.group .collapsed').each(function(){
        $(this).find('input:checked').parent().parent().parent().nextAll().each(
        function(){
            if ($(this).hasClass('last')) {
                $(this).removeClass('hidden');
                return false;
            }
            $(this).filter('.hidden').removeClass('hidden');
        });
    });
    if (activetab != '' && $(activetab + '-tab').length ) {
        $(activetab + '-tab').addClass('nav-tab-active');
    }
    else {
        $('.nav-tab-wrapper a:first').addClass('nav-tab-active');
    }
    $('.wpaust-notice .wpaust-close-icon').on('click', function (e) {
        $(this).closest('.wpaust-notice').fadeOut(300, function () {
            $(this).remove();
        });
    });
    $('.nav-tab-wrapper a').click(function(evt) {
        $('.nav-tab-wrapper a').removeClass('nav-tab-active');
        $(this).addClass('nav-tab-active').blur();
        var clicked_group = $(this).attr('href');
        if (typeof(localStorage) != 'undefined' ) {
            localStorage.setItem("activetab", $(this).attr('href'));
        }
        $('.group').hide();
        $(clicked_group).fadeIn();
        evt.preventDefault();
    });
    $('body').on('click', '.wpsa-browse', function (event) {
        event.preventDefault();
        var self = $(this);
        // Create the media frame.
        var file_frame = wp.media.frames.file_frame = wp.media({
            title: self.data('uploader_title'),
            button: {
                text: self.data('uploader_button_text'),
            },
            multiple: false
        });
        file_frame.on('select', function () {
            attachment = file_frame.state().get('selection').first().toJSON();
            self.prev('.wpsa-url').val(attachment.url).change();
        });
        // Finally, open the modal
        file_frame.open();
    });
});
jQuery(function ($) {
    $('#wpaust-author-dashboard-form').on('submit', function(e) {
        e.preventDefault();
        
        $('#wpaust-loader').removeAttr('class');

        wp.ajax.post('wpaust-dashboard-form-action', $(this).serialize())
            .done(function (response) {
                setTimeout(function() {
                    $('#wpaust-loader').addClass('wpaust-hidden');

                    $('#wpaust-modal-message').removeClass('wpaust-hidden');

                    $('#wpaust-modal-message .wpaust-modal-content p')
                        .html(response.message);

                    $('.wpaust-status-date-show').text(response.timeago + ' ago');

                    setTimeout(function() {
                        $('#wpaust-modal-message').addClass('wpaust-hidden');
                    }, 2000);
                }, 500);
            })
            .fail(function (error) {
                setTimeout(function() {
                    $('#wpaust-loader').addClass('wpaust-hidden');

                    $('#wpaust-modal-message').removeClass('wpaust-hidden');

                    $('#wpaust-modal-message .wpaust-modal-content')
                        .removeClass('wpaust-success-message')
                        .addClass('wpaust-error-message');

                    $('#wpaust-modal-message .wpaust-modal-content p')
                        .html(error.message);

                    setTimeout(function() {
                        $('#wpaust-modal-message .wpaust-modal-content')
                            .removeClass('wpaust-error-message')
                            .addClass('wpaust-success-message');

                        $('#wpaust-modal-message').addClass('wpaust-hidden');
                    }, 3000000);
                }, 500);
            });
    });
});